> ## Documentation Index
> Fetch the complete documentation index at: https://developer.uphold.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user

> Retrieve an existing user.

export const RestEndpointSubjects = ({subjects = []}) => {
  const subjectToIconMap = {
    'client': 'browser',
    'user:individual': 'user',
    'user:business': 'briefcase'
  };
  if (subjects.length === 0) {
    return null;
  }
  return <>
      {subjects.map(subject => <a key={subject} href="/rest-apis/authentication#subjects" className="border-0 opacity-85 hover:opacity-100 transition-opacity">
          <Badge stroke size="lg" icon={subjectToIconMap[subject]} color="gray" className="mr-1">
            {subject}
          </Badge>
        </a>)}
    </>;
};

<RestEndpointSubjects subjects={["user:individual", "user:business"]} />


## OpenAPI

````yaml _media/specs/core-openapi.mintlify.json get /core/users/me
openapi: 3.1.0
info:
  version: 0.1.0
  title: Core API
  description: >-
    The Core API provides essential building blocks that empower businesses to
    embed financial services into their applications.
  contact:
    name: Uphold API Team
    email: developers@uphold.com
    url: https://developer.uphold.com
servers:
  - url: https://api.enterprise.sandbox.uphold.com
    description: Sandbox
  - url: https://api.enterprise.uphold.com
    description: Production
security:
  - OAuth2: []
tags:
  - name: Authentication
    description: Authentication.
  - name: Countries
    description: Countries.
  - name: Users
    description: Users.
  - name: KYC
    description: Individual User's KYC.
  - name: KYB
    description: Business User's KYB.
  - name: Capabilities
    description: User capabilities.
  - name: Terms of service
    description: User terms of service.
  - name: Files
    description: Files.
  - name: Assets
    description: Assets, networks and rails.
  - name: Accounts
    description: Accounts.
  - name: External accounts
    description: External accounts.
  - name: Transactions
    description: Transactions.
  - name: Requests for information
    description: Requests for information.
  - name: Portfolio
    description: Portfolio.
  - name: Statements
    description: Statements.
  - name: Metadata
    description: Metadata.
  - name: Webhooks
    description: Webhooks.
paths:
  /core/users/me:
    get:
      tags:
        - Users
      summary: Get user
      description: Retrieve an existing user.
      operationId: core.get-user
      responses:
        '200':
          $ref: '#/components/responses/get-user-response'
      security:
        - OAuth2:
            - core.users:read
components:
  responses:
    get-user-response:
      description: User retrieved.
      content:
        application/json:
          schema:
            type: object
            properties:
              user:
                $ref: '#/components/schemas/user'
            required:
              - user
          examples:
            Individual User Retrieved:
              value:
                user:
                  id: cd21b26d-35d2-408a-9201-b8fdbef7a604
                  type: individual
                  email: john.doe@uphold.com
                  fullName: John Doe
                  birthdate: '1987-01-01'
                  primaryCitizenship: GB
                  address:
                    country: GB
                    subdivision: GB-MAN
                    city: Manchester
                    line1: 1 High Street
                    line2: Northern Quarter
                    postalCode: M4 1AA
                  createdAt: '2024-03-13T20:20:39.000Z'
                  updatedAt: '2024-03-13T20:20:39.000Z'
            Business User Retrieved:
              value:
                user:
                  id: ab34c56d-78e9-0123-4567-89abcdef0123
                  type: business
                  email: acme-corp@uphold.com
                  legalEntityType: private-limited-company
                  legalEntityName: ACME Corporation
                  formationDate: '2000-01-01'
                  industry:
                    sector: ecommerce-and-retail
                    subSector: online-marketplaces
                  legalIds:
                    - type: tax-id
                      id: 99L99999
                      country: GB
                    - type: registration-id
                      id: AB123456
                      country: GB
                  operatingAddress:
                    city: Manchester
                    line1: 1 High Street
                    line2: Northern Quarter
                    postalCode: M4 1AA
                    subdivision: GB-MAN
                    country: GB
                  registrationAddress:
                    city: Manchester
                    line1: 1 High Street
                    line2: Northern Quarter
                    postalCode: M4 1AA
                    subdivision: GB-MAN
                    country: GB
                  name: ACME Corporation
                  address:
                    city: Manchester
                    line1: 1 High Street
                    line2: Northern Quarter
                    postalCode: M4 1AA
                    subdivision: GB-MAN
                    country: GB
                  createdAt: '2024-03-13T20:20:39.000Z'
                  updatedAt: '2024-03-13T20:20:39.000Z'
      headers:
        x-uphold-request-id:
          description: >-
            A unique identifier for the request that can be shared with Uphold
            for troubleshooting purposes.
          required: true
          schema:
            type: string
            format: uuid
          examples:
            Request ID:
              value: 9092ee4d-f0fb-42e9-8787-b668dbcec531
  schemas:
    user:
      type: object
      discriminator:
        propertyName: type
        mapping:
          individual:
            $ref: '#/components/schemas/user-type-individual'
          business:
            $ref: '#/components/schemas/user-type-business'
      oneOf:
        - $ref: '#/components/schemas/user-type-individual'
          title: Individual
        - $ref: '#/components/schemas/user-type-business'
          title: Business
    user-type-individual:
      type: object
      properties:
        id:
          description: The id of the user.
          type: string
          format: uuid
        type:
          description: The type of the user.
          type: string
          enum:
            - individual
        email:
          description: The email address.
          type: string
          format: email
        fullName:
          description: The full legal name.
          type: string
        birthdate:
          description: The date of birth.
          type: string
        primaryCitizenship:
          description: The citizenship country.
          type: string
        citizenshipCountry:
          description: >-
            The citizenship country. Deprecated in favor of
            `primaryCitizenship`.
          type: string
          deprecated: true
        address:
          allOf:
            - $ref: '#/components/schemas/address'
            - description: The address of residency.
              type: object
              required:
                - country
        phone:
          description: The phone number.
          type: object
          properties:
            number:
              description: The E.164 formatted phone number.
              type: string
            country:
              description: The country code of the phone number.
              type: string
          required:
            - number
            - country
        createdAt:
          description: The time at which the user was created.
          type: string
          format: date-time
        updatedAt:
          description: The time at which the user was last updated.
          type: string
          format: date-time
      required:
        - id
        - type
        - email
        - address
        - primaryCitizenship
        - createdAt
        - updatedAt
    user-type-business:
      type: object
      properties:
        id:
          description: The id of the user.
          type: string
          format: uuid
        type:
          description: The type of the user.
          type: string
          enum:
            - business
        email:
          description: The email address.
          type: string
          format: email
        legalEntityType:
          $ref: '#/components/schemas/business-legal-entity-type'
        legalEntityName:
          description: The full legal entity name.
          type: string
        formationDate:
          description: The date of the business formation.
          type: string
          format: date
        industry:
          $ref: '#/components/schemas/kyb-profile-industry'
        legalIds:
          type: array
          description: The legal identifiers of the business, usually government-issued.
          minItems: 1
          items:
            type: object
            properties:
              type:
                description: The type of the legal identifier.
                type: string
                enum:
                  - tax-id
                  - registration-id
              id:
                description: The legal identifier value.
                type: string
              country:
                description: The country of the legal identifier.
                type: string
            required:
              - type
              - id
              - country
        registrationAddress:
          allOf:
            - $ref: '#/components/schemas/address'
            - type: object
              description: >-
                The registration address of the business. Always available for
                non-legacy business users.
              required:
                - country
        operatingAddress:
          $ref: '#/components/schemas/address'
        name:
          description: The legal name of the business.
          type: string
          deprecated: true
        address:
          allOf:
            - $ref: '#/components/schemas/address'
            - type: object
              description: The address of the business (operating address).
              required:
                - country
              deprecated: true
        createdAt:
          description: The time at which the user was created.
          type: string
          format: date-time
        updatedAt:
          description: The time at which the user was last updated.
          type: string
          format: date-time
      required:
        - id
        - type
        - email
        - legalEntityType
        - operatingAddress
        - address
        - createdAt
        - updatedAt
    address:
      description: The address information.
      type: object
      properties:
        country:
          description: The country of the address.
          type: string
        subdivision:
          description: The subdivision of the address.
          type: string
        city:
          description: The city of the address.
          type: string
        line1:
          description: The first line of the address.
          type: string
        line2:
          description: The second line of the address.
          type: string
        postalCode:
          description: The postal code of the address.
          type: string
    business-legal-entity-type:
      type: string
      description: Business legal form/classification.
      enum:
        - government-entity
        - non-profit
        - partnership
        - private-limited-company
        - public-company
        - sole-proprietor
    kyb-profile-industry:
      oneOf:
        - $ref: '#/components/schemas/kyb-profile-industry-base'
        - title: Other
          type: object
          additionalProperties: false
          properties:
            sector:
              type: string
              const: other
            otherSector:
              allOf:
                - $ref: '#/components/schemas/string-no-edge-spaces'
                - description: Free-form description of the sector and sub-sector.
                  type: string
          required:
            - sector
    kyb-profile-industry-base:
      description: >-
        The industry classification of the business. Allowed `subSector` values
        depend on the selected `sector`.
      oneOf:
        - title: Financial Institutions and Money Services
          type: object
          additionalProperties: false
          properties:
            sector:
              type: string
              const: financial-institutions-and-money-services
            subSector:
              type: string
              enum:
                - money-transmitters
                - remittance-services
                - vasp-casp
                - payment-processors
                - fx-providers
                - other-regulated-nbfi
          required:
            - sector
        - title: Crypto Services and Products
          type: object
          additionalProperties: false
          properties:
            sector:
              type: string
              const: crypto-services-and-products
            subSector:
              type: string
              enum:
                - exchanges
                - custodial-wallet-providers
                - non-custodial-wallet-providers
                - miners
                - nft-platforms
                - defi-projects
          required:
            - sector
        - title: Personal Investment Vehicles
          type: object
          additionalProperties: false
          properties:
            sector:
              type: string
              const: personal-investment-vehicles
            subSector:
              type: string
              enum:
                - private-trusts
                - roth-ira
                - llc-spe-for-holding-assets
          required:
            - sector
        - title: Family Offices and Investment Funds
          type: object
          additionalProperties: false
          properties:
            sector:
              type: string
              const: family-offices-and-investment-funds
            subSector:
              type: string
              enum:
                - family-offices
                - pooled-investment-vehicles
                - private-investment-funds
          required:
            - sector
        - title: Professional Services
          type: object
          additionalProperties: false
          properties:
            sector:
              type: string
              const: professional-services
            subSector:
              type: string
              enum:
                - law-firms
                - accounting-firms
                - consultants
                - company-formation-or-secretarial-services
          required:
            - sector
        - title: Technology and Software
          type: object
          additionalProperties: false
          properties:
            sector:
              type: string
              const: technology-and-software
            subSector:
              type: string
              enum:
                - it-services
                - saas
                - gaming-studios
                - cybersecurity
                - data-analytics
                - ai-firms
          required:
            - sector
        - title: E-commerce and Retail
          type: object
          additionalProperties: false
          properties:
            sector:
              type: string
              const: ecommerce-and-retail
            subSector:
              type: string
              enum:
                - online-marketplaces
                - merchants
                - wholesalers
                - direct-to-consumer-retailers
          required:
            - sector
        - title: Real Estate and Property Management
          type: object
          additionalProperties: false
          properties:
            sector:
              type: string
              const: real-estate-and-property-management
            subSector:
              type: string
              enum:
                - brokerages
                - property-developers
                - management-companies
                - investment-vehicles
          required:
            - sector
        - title: High-Value Goods and Luxury Dealers
          type: object
          additionalProperties: false
          properties:
            sector:
              type: string
              const: high-value-goods-and-luxury-dealers
            subSector:
              type: string
              enum:
                - jewelry
                - art
                - precious-metals
                - automobiles
                - auction-houses
          required:
            - sector
    string-no-edge-spaces:
      type: string
      pattern: ^\S.*\S$|^\S$
  securitySchemes:
    OAuth2:
      type: oauth2
      description: OAuth 2.0 authentication.
      flows:
        clientCredentials:
          tokenUrl: /core/oauth2/token
          scopes:
            core.users:act-on-behalf-of: Grants access to act on behalf of a user
            core.users:create: Grants access to create users
            core.users:read: Grants access to view users
            core.users:delete: Grants access to delete users
            core.users.metadata:read: Grants access to view user metadata
            core.users.metadata:write: Grants access to modify user metadata
            core.kyc:read: Grants access to view KYC processes
            core.kyc.profile:update: Grants access to update profile KYC process
            core.kyc.address:update: Grants access to update address KYC process
            core.kyc.email:update: Grants access to update email KYC process
            core.kyc.phone:update: Grants access to update phone KYC process
            core.kyc.identity:update: Grants access to update identity KYC process
            core.kyc.proof-of-address:update: Grants access to update proof-of-address KYC process
            core.kyc.customer-due-diligence:update: Grants access to update customer due diligence KYC process
            core.kyc.enhanced-due-diligence:update: Grants access to update enhanced due diligence KYC process
            core.kyc.crypto-risk-assessment:update: Grants access to update crypto risk assessment KYC process
            core.kyc.self-categorization-statement:update: Grants access to update self-categorization statement KYC process
            core.kyc.tax-details:update: Grants access to update tax details KYC process
            core.kyb:read: Grants access to view KYB processes
            core.kyb.profile:update: Grants access to update profile KYB process
            core.kyb.documents:update: Grants access to update documents KYB process
            core.kyb.financial-institution:update: Grants access to update financial institution KYB process
            core.kyb.associated-persons:create: Grants access to create KYB associated persons
            core.kyb.associated-persons:read: Grants access to view KYB associated persons
            core.kyb.associated-persons:delete: Grants access to delete KYB associated persons
            core.kyb.associated-persons.profile:update: Grants access to update profile KYB associated person process
            core.kyb.associated-persons.identity:update: Grants access to update identity KYB associated person process
            core.kyb.associated-persons.proof-of-address:update: >-
              Grants access to update proof-of-address KYB associated person
              process
            core.kyb.attestation:trigger: Grants access to trigger the attestation process
            core.capabilities:read: Grants access to view user capabilities
            core.terms-of-service:read: Grants access to view terms of service
            core.terms-of-service:accept: Grants access to accept terms of service
            core.files:create: Grants access to create files
            core.files:read: Grants access to view files
            core.files.metadata:read: Grants access to view files metadata
            core.files.metadata:write: Grants access to modify files metadata
            core.accounts:create: Grants access to create accounts
            core.accounts:read: Grants access to view accounts
            core.accounts:update: Grants access to update accounts
            core.accounts:archive: Grants access to archive accounts
            core.accounts:deposit-method: >-
              Grants access to deposit method needed for depositing into
              accounts
            core.accounts:use-test-helpers: Grants access to test helpers of accounts
            core.accounts.metadata:read: Grants access to view accounts metadata
            core.accounts.metadata:write: Grants access to modify accounts metadata
            core.assets:use-test-helpers: Grants access to test helpers of assets
            core.external-accounts:create: Grants access to create external accounts
            core.external-accounts:read: Grants access to view external accounts
            core.external-accounts:update: Grants access to update external accounts
            core.external-accounts:delete: Grants access to delete external accounts
            core.external-accounts.metadata:read: Grants access to view external accounts metadata
            core.external-accounts.metadata:write: Grants access to modify external accounts metadata
            core.transactions:create: Grants access to commit quotes
            core.transactions:read: Grants access to view transactions
            core.transactions.metadata:read: Grants access to view transactions metadata
            core.transactions.metadata:write: Grants access to modify transactions metadata
            core.transactions.requests-for-information:read: Grants access to view transactions requests for information
            core.transactions.requests-for-information:update: Grants access to update transactions requests for information
            core.requests-for-information:read: Grants access to view requests for information
            core.requests-for-information:update: Grants access to update requests for information
            core.portfolio:read: >-
              Grants access to view portfolio overview, performance, and
              historical balance
            core.statements:read: Grants access to read statements
            core.webhooks:management-link: Grants access to create webhook management links

````